ExchangePublicFolderStore (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangePublicFolderStore interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangePublicFolderStore

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangePublicFolderStore

extends LogicalElement

Represents the Exchange Public Folder Store

Naming Rules:
  0="distinguishedName"
Persistable:
  true
Table Name:
  EXCHPUBFOLST
Display Name:
  publicFolderStoreName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDatabaseName()` The name of the database Standard Content Origin / Best Practice Content None
`java.lang.String` | `getDatabasePath()` The path of the database Standard Content Origin / Best Practice Content None Example C:\Program Files\Exchsrvr\mdbdata\pub1.edb
`java.lang.String` | `getDistinguishedName()` The distinguished name of the public folder store Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.AssociatedPublicStores Example CN=Public Folder Store (TV045077),CN=First Storage Group,CN=InformationStore,CN=TV045077,CN=Servers,CN=First Administrative Group,CN=Administrative Groups,CN=tivoli,CN=Microsoft Exchange,CN=Services,CN=Configuration,DC=exchange2003,DC=local
`ExchangeFolderTree[]` | `getFolderTrees()`
`ExchangePublicFolder[]` | `getPublicFolders()`
`java.lang.String` | `getPublicFolderStoreName()` The name of the public folder store Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.Name Example Public Folder Store (TV045077)
`ExchangeStorageGroup` | `getStorageGroup()`
`java.lang.String` | `getStreamingDatabaseName()` The name of the streaming database Standard Content Origin / Best Practice Content None Example C:\Program Files\Exchsrvr\mdbdata\pub1.stm
`java.lang.String` | `getStreamingDatabasePath()` The path of the streaming database Standard Content Origin / Best Practice Content None
`boolean` | `hasDatabaseName()`
`boolean` | `hasDatabasePath()`
`boolean` | `hasDistinguishedName()`
`boolean` | `hasFolderTrees()`
`boolean` | `hasPublicFolders()`
`boolean` | `hasPublicFolderStoreName()`
`boolean` | `hasStorageGroup()`
`boolean` | `hasStreamingDatabaseName()`
`boolean` | `hasStreamingDatabasePath()`
`void` | `setDatabaseName(java.lang.String x)`
`void` | `setDatabasePath(java.lang.String x)`
`void` | `setDistinguishedName(java.lang.String x)`
`void` | `setFolderTrees(ExchangeFolderTree[] x)`
`void` | `setPublicFolders(ExchangePublicFolder[] x)`
`void` | `setPublicFolderStoreName(java.lang.String x)`
`void` | `setStorageGroup(ExchangeStorageGroup x)`
`void` | `setStreamingDatabaseName(java.lang.String x)`
`void` | `setStreamingDatabasePath(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getDatabasePath

    java.lang.String getDatabasePath()
                                     throws AttributeNotSetException

  The path of the database Standard Content Origin / Best Practice Content None Example C:\Program Files\Exchsrvr\mdbdata\pub1.edb

  Throws:
    `AttributeNotSetException`

### setDatabasePath

    void setDatabasePath(java.lang.String x)

### hasDatabasePath

    boolean hasDatabasePath()

### getStorageGroup

    ExchangeStorageGroup getStorageGroup()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setStorageGroup

    void setStorageGroup(ExchangeStorageGroup x)

### hasStorageGroup

    boolean hasStorageGroup()

### getStreamingDatabaseName

    java.lang.String getStreamingDatabaseName()
                                              throws AttributeNotSetException

  The name of the streaming database Standard Content Origin / Best Practice Content None Example C:\Program Files\Exchsrvr\mdbdata\pub1.stm

  Throws:
    `AttributeNotSetException`

### setStreamingDatabaseName

    void setStreamingDatabaseName(java.lang.String x)

### hasStreamingDatabaseName

    boolean hasStreamingDatabaseName()

### getStreamingDatabasePath

    java.lang.String getStreamingDatabasePath()
                                              throws AttributeNotSetException

  The path of the streaming database Standard Content Origin / Best Practice Content None

  Throws:
    `AttributeNotSetException`

### setStreamingDatabasePath

    void setStreamingDatabasePath(java.lang.String x)

### hasStreamingDatabasePath

    boolean hasStreamingDatabasePath()

### getFolderTrees

    ExchangeFolderTree[] getFolderTrees()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setFolderTrees

    void setFolderTrees(ExchangeFolderTree[] x)

### hasFolderTrees

    boolean hasFolderTrees()

### getPublicFolderStoreName

    java.lang.String getPublicFolderStoreName()
                                              throws AttributeNotSetException

  The name of the public folder store Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_PublicFolder.Name Example Public Folder Store (TV045077)

  Throws:
    `AttributeNotSetException`

### setPublicFolderStoreName

    void setPublicFolderStoreName(java.lang.String x)

### hasPublicFolderStoreName

    boolean hasPublicFolderStoreName()

### getDatabaseName

    java.lang.String getDatabaseName()
                                     throws AttributeNotSetException

  The name of the database Standard Content Origin / Best Practice Content None

  Throws:
    `AttributeNotSetException`

### setDatabaseName

    void setDatabaseName(java.lang.String x)

### hasDatabaseName

    boolean hasDatabaseName()

### getPublicFolders

    ExchangePublicFolder[] getPublicFolders()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setPublicFolders

    void setPublicFolders(ExchangePublicFolder[] x)

### hasPublicFolders

    boolean hasPublicFolders()

### getDistinguishedName

    java.lang.String getDistinguishedName()
                                          throws AttributeNotSetException

  The distinguished name of the public folder store Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.AssociatedPublicStores Example CN=Public Folder Store (TV045077),CN=First Storage Group,CN=InformationStore,CN=TV045077,CN=Servers,CN=First Administrative Group,CN=Administrative Groups,CN=tivoli,CN=Microsoft Exchange,CN=Services,CN=Configuration,DC=exchange2003,DC=local

  Throws:
    `AttributeNotSetException`

### setDistinguishedName

    void setDistinguishedName(java.lang.String x)

### hasDistinguishedName

    boolean hasDistinguishedName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD